


#include "task_command_manager.h"


//对外的接口函数，所有的任务发送方，都必须使用该函数。
//execute_task在内部解析了Task_Base里面的Task_type，然后转发给具体某个模块的实例对象。
//input：p_task_base 任务单，基类的指针，指向子类的实例，（多态）
Error_manager Task_command_manager::execute_task(Task_Base* p_task_base)
{
	Error_manager t_error;
	void * tp_tast_receiver = p_task_base->get_tast_receiver();
	switch ( p_task_base->get_task_type() )
	{
		case Task_Base::Task_type::UNKNOW_TASK:
			t_error.error_manager_reset(Error_code::TASK_TYPE_IS_UNKNOW, Error_level::MINOR_ERROR,
								" p_task_base->get_task_type() is  UNKNOW_TASK ");
	        break;
		case Task_Base::Task_type::LASER_MANGER_SCAN_TASK:
			break;
		case Task_Base::Task_type::LASER_BASE_SCAN_TASK:
	        break;
		case Task_Base::Task_type::LOCATE_MANGER_TASK:
			break;
		case Task_Base::Task_type::PLC_TASK:
			break;
		case Task_Base::Task_type::WANJI_MANAGER_TASK:
			break;
	    default:
			t_error.error_manager_reset(Error_code::TASK_TYPE_IS_UNKNOW, Error_level::MINOR_ERROR,
										" p_task_base->get_task_type() is  UNKNOW_TASK ");
	        break;
	}

	return t_error;
}



















